#!/bin/bash

set -euxo pipefail

JSON=$(curl 'https://api.papermc.io/v2/projects/velocity/versions/3.4.0-SNAPSHOT/builds' -H 'User-Agent: docker-build simcop2387@simcop2387.info')


BUILD=$(echo $JSON | jq -r '.builds[-1]')
VERSION=$(echo $JSON | jq -r '.version')
BUILD_ID=$(echo $BUILD | jq -r '.build')
FILENAME=$(echo $BUILD | jq -r '.downloads.application.name')
CHECKSUM=$(echo $BUILD | jq -r '.downloads.application.sha256')

wget -O /tmp/velocity.jar "https://api.papermc.io/v2/projects/velocity/versions/${VERSION}/builds/${BUILD_ID}/downloads/${FILENAME}"
CALCULATED=$(sha256sum /tmp/velocity.jar | cut -d' ' -f1)

if [[ $CALCULATED == $CHECKSUM ]]; then
        echo download successful, moving to final location
        mv /tmp/velocity.jar /velocity/
else
        echo FAILED SHA256 SUM CHECK: $CALCULATED != $CHECKSUM 
        exit 127
fi
